defaults = {
    'apt': {
        'repos': {
            'icinga2': {
                'items': {
                    'deb http://packages.icinga.com/{os} icinga-{os_release} main',
                    'deb-src http://packages.icinga.com/{os} icinga-{os_release} main',
                },
            },
        },
        'packages': {
            # needed for check_rbl
            'libdata-validate-ip-perl': {},
            'libdata-validate-ip-perl': {},
            'libmonitoring-plugin-perl': {},
            'libnet-dns-perl': {},
            'libreadonly-perl': {},
        }
    },
    'postgresql': {
        'roles': {
            'icinga2': {
                'password': repo.vault.password_for(f'{node.name} postgresql icinga2'),
            },
        },
        'databases': {
            'icinga2': {
                'owner': 'icinga2',
            },
        },
    },
}
